Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.tree
Class TreeComponentTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.tonbeller.wcf.component.ComponentTag
              com.tonbeller.wcf.tree.TreeComponentTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class TreeComponentTag
extends ComponentTag

TreeComponent

Author:
  av
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TreeComponentTag()`

Method Summary
`Component` | `createComponent(RequestContext context)` creates the component.
`void` | `setModel(java.lang.String model)` Sets the model.
`void` | `setSelectionModel(java.lang.String selectionModel)` Sets the selectionModel.

Methods inherited from class com.tonbeller.wcf.component.ComponentTag
`doEndTag, doStartTag, getComponent, isObjectCreated, setRole, setValidate, setVisible`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeComponentTag

    public TreeComponentTag()

Method Detail

### createComponent

    public Component createComponent(RequestContext context)
                              throws javax.servlet.jsp.JspException

  Description copied from class: `ComponentTag`
  creates the component. Called whenever the object does not exist in the session

  Specified by:
    `createComponent` in class `ComponentTag`
  Returns:
    the object that will be placed into the session
  Throws:
    `javax.servlet.jsp.JspException`

### setModel

    public void setModel(java.lang.String model)

  Sets the model.

  Parameters:
    `model` - The model to set

### setSelectionModel

    public void setSelectionModel(java.lang.String selectionModel)

  Sets the selectionModel.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD